Subject: Re: [PATCH v4 08/13] commit-graph: implement --delete-expired

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 Feb 2018 11:51:58 -0800

Derrick Stolee <[email-masked]> writes:

> My thought was that using a fixed name
> (e.g. .git/objects/info/commit-graph) would block making the graph
> incremental. Upon thinking again, this is not the case. That feature
> could be designed with a fixed name for the small, frequently-updated
> file and use .../info/graph-<hash>.graph names for the "base" graph
> files.

I guess that is in line with the way how split-index folks did their
thing ;-)